/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumDatatype;
import de.ship.db.tables.VRestVariable;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VRestVariableRecord extends TableRecordImpl<VRestVariableRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_rest_variable.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_variable.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_rest_variable.valuelist</code>.
     */
    public void setValuelist(JSONB value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_variable.valuelist</code>.
     */
    public JSONB getValuelist() {
        return (JSONB) get(1);
    }

    /**
     * Setter for <code>common_dd.v_rest_variable.data_type</code>.
     */
    public void setDataType(EnumDatatype value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_variable.data_type</code>.
     */
    public EnumDatatype getDataType() {
        return (EnumDatatype) get(2);
    }

    /**
     * Setter for <code>common_dd.v_rest_variable.missinglist</code>.
     */
    public void setMissinglist(JSONB value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_variable.missinglist</code>.
     */
    public JSONB getMissinglist() {
        return (JSONB) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VRestVariableRecord
     */
    public VRestVariableRecord() {
        super(VRestVariable.V_REST_VARIABLE);
    }

    /**
     * Create a detached, initialised VRestVariableRecord
     */
    public VRestVariableRecord(String uniqueName, JSONB valuelist, EnumDatatype dataType, JSONB missinglist) {
        super(VRestVariable.V_REST_VARIABLE);

        setUniqueName(uniqueName);
        setValuelist(valuelist);
        setDataType(dataType);
        setMissinglist(missinglist);
        resetChangedOnNotNull();
    }
}
